
Foreman - Bug #33639

Reduce allocations in FactImporter#update_facts

10/05/2021 03:31 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category: Facts   

Target version: 2.5.4   

Difficulty:  Fixed in Releases: 2.5.4, 3.0.1, 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 2011696 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8816,

https://github.com/theforeman/foreman/p

ull/8818,

https://github.com/theforeman/foreman/p

ull/8820,

https://github.com/theforeman/foreman/p

ull/8823,

https://github.com/theforeman/foreman/p

ull/8833

  

Description

Related issues:

Related to Foreman - Bug #33585: Puma memory usage after update to 2.5 Closed

Associated revisions

Revision aa602171 - 10/06/2021 07:35 AM - Jonathon Turel

Fixes #33639 - Reduce object allocations in FactImporter#update_facts

Revision 1fbcf6e4 - 10/07/2021 08:51 AM - Tomer Brisker

Refs #33639 - Only pull needed data for fact updates

Instead of initializing FactValue and FactName for all facts that need

updating, only pull the required columns from the DB and use them for

the update.

Revision 39004642 - 10/07/2021 08:51 AM - Tomer Brisker

Refs #33639 - Reduce array resizing in fact importer

Instead of starting with an empty array and resizing it for every fact

added, we can calculate the final array right away.

History

#1 - 10/05/2021 03:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jonathon Turel

- Pull request https://github.com/theforeman/foreman/pull/8816 added

#2 - 10/06/2021 07:35 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/06/2021 08:01 AM - Jonathon Turel

- Status changed from Ready For Testing to Closed
Applied in changeset foreman|aa602171aef510c889441267dc7b95855e93ff0d.

#4 - 10/06/2021 08:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8818 added

#5 - 10/07/2021 06:54 AM - Tomer Brisker

- Category set to Performance

#6 - 10/07/2021 06:54 AM - Tomer Brisker

- Category changed from Performance to Facts

#7 - 10/07/2021 06:54 AM - Tomer Brisker

- Bugzilla link set to 2011696

#8 - 10/07/2021 09:43 AM - Tomer Brisker

- Target version set to 3.0.1

#9 - 10/07/2021 11:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8820 added

#10 - 10/07/2021 01:43 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8823 added

#11 - 10/10/2021 11:07 AM - Tomer Brisker

- Fixed in Releases 3.0.1 added

#12 - 10/10/2021 11:07 AM - Tomer Brisker

- Target version changed from 3.0.1 to 2.5.4

#13 - 10/11/2021 06:43 AM - Lukas Zapletal

- Related to Bug #33585: Puma memory usage after update to 2.5 added

#14 - 10/11/2021 04:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8833 added

#15 - 10/11/2021 05:16 PM - Tomer Brisker

- Fixed in Releases 2.5.4 added
